Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit python-weave for openSUSE:Factory
Hello community,

here is the log from the commit of package python-weave for openSUSE:Factory
checked in at 2019-04-30 12:59:16
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/python-weave (Old)
and /work/SRC/openSUSE:Factory/.python-weave.new.5536 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "python-weave"

Tue Apr 30 12:59:16 2019 rev:6 rq:697380 version:0.17.0

Changes:
--------
--- /work/SRC/openSUSE:Factory/python-weave/python-weave.changes
2019-02-24 17:18:54.676413028 +0100
+++ /work/SRC/openSUSE:Factory/.python-weave.new.5536/python-weave.changes
2019-04-30 12:59:25.422173373 +0200
@@ -1,0 +2,8 @@
+Tue Apr 23 15:47:08 UTC 2019 - pgajdos@xxxxxxxx
+
+- version update to 0.17.0
+ * maintenance release that fixes compatibility with NumPy 1.16.x
+- deleted patches
+ - numpy-16.patch (upstreamed)
+
+-------------------------------------------------------------------

Old:
----
numpy-16.patch
weave-0.16.0.tar.gz

New:
----
weave-0.17.0.tar.gz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ python-weave.spec ++++++
--- /var/tmp/diff_new_pack.6noVLs/_old 2019-04-30 12:59:28.818176068 +0200
+++ /var/tmp/diff_new_pack.6noVLs/_new 2019-04-30 12:59:28.822176072 +0200
@@ -22,14 +22,13 @@

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name: python-weave
-Version: 0.16.0
+Version: 0.17.0
Release: 0
Summary: Weave: a C++ compiler for Python
License: BSD-3-Clause
Group: Development/Libraries/Python
URL: http://www.github.com/scipy/weave
Source0:
https://files.pythonhosted.org/packages/source/w/weave/weave-%{version}.tar.gz
-Patch0: numpy-16.patch
BuildRequires: %{python_module devel}
BuildRequires: %{python_module nose}
BuildRequires: %{python_module numpy-devel}
@@ -62,7 +61,6 @@

%prep
%setup -q -n weave-%{version}
-%patch0 -p1
sed -i -e '1d' weave/setup.py

%build

++++++ weave-0.16.0.tar.gz -> weave-0.17.0.tar.gz ++++++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/weave-0.16.0/PKG-INFO new/weave-0.17.0/PKG-INFO
--- old/weave-0.16.0/PKG-INFO 2017-04-19 13:44:19.000000000 +0200
+++ new/weave-0.17.0/PKG-INFO 2019-02-27 07:40:21.000000000 +0100
@@ -1,6 +1,6 @@
Metadata-Version: 1.1
Name: weave
-Version: 0.16.0
+Version: 0.17.0
Summary: Weave: a C++ compiler for Python.
Home-page: http://www.github.com/scipy/weave
Author: Weave developers
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/weave-0.16.0/doc/release/0.17.0-notes.rst
new/weave-0.17.0/doc/release/0.17.0-notes.rst
--- old/weave-0.16.0/doc/release/0.17.0-notes.rst 1970-01-01
01:00:00.000000000 +0100
+++ new/weave-0.17.0/doc/release/0.17.0-notes.rst 2019-02-27
07:33:01.000000000 +0100
@@ -0,0 +1,17 @@
+==========================
+Weave 0.17.0 Release Notes
+==========================
+
+Weave provides tools for including C/C++ code within Python code. Inlining
+C/C++ code within Python generally results in speedups of 1.5x to 30x over
+algorithms written in pure Python.
+
+Weave is the stand-alone version of the now-removed SciPy submodule
``scipy.weave``.
+It is Python 2.x only, and is provided for users that need new versions of
+SciPy but have existing code that still depends on ``scipy.weave``. For new
code,
+users are recommended to use Cython.
+
+Weave 0.17.0 is a maintenance release that fixes compatibility with NumPy
+1.16.x.
+
+This release requires Python 2.6 or 2.7.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/weave-0.16.0/doc/source/release.0.17.0.rst
new/weave-0.17.0/doc/source/release.0.17.0.rst
--- old/weave-0.16.0/doc/source/release.0.17.0.rst 1970-01-01
01:00:00.000000000 +0100
+++ new/weave-0.17.0/doc/source/release.0.17.0.rst 2019-02-27
07:31:05.000000000 +0100
@@ -0,0 +1 @@
+.. include:: ../release/0.17.0-notes.rst
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/weave-0.16.0/doc/source/release.rst
new/weave-0.17.0/doc/source/release.rst
--- old/weave-0.16.0/doc/source/release.rst 2017-04-19 13:41:50.000000000
+0200
+++ new/weave-0.17.0/doc/source/release.rst 2019-02-27 07:29:56.000000000
+0100
@@ -7,3 +7,4 @@

release.0.15.0
release.0.16.0
+ release.0.17.0
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/weave-0.16.0/setup.py new/weave-0.17.0/setup.py
--- old/weave-0.16.0/setup.py 2017-04-19 13:36:16.000000000 +0200
+++ new/weave-0.17.0/setup.py 2019-02-27 07:29:34.000000000 +0100
@@ -42,7 +42,7 @@


MAJOR = 0
-MINOR = 16
+MINOR = 17
MICRO = 0
ISRELEASED = True
VERSION = '%d.%d.%d' % (MAJOR, MINOR, MICRO)
@@ -194,7 +194,7 @@
FULLVERSION, GIT_REVISION = get_version_info()
metadata['version'] = FULLVERSION
else:
- if len(sys.argv) >= 2 and sys.argv[1] == 'bdist_wheel':
+ if len(sys.argv) >= 2 and sys.argv[1] in ['bdist_wheel', 'test']:
# bdist_wheel needs setuptools
import setuptools

diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/weave-0.16.0/weave/inline_tools.py
new/weave-0.17.0/weave/inline_tools.py
--- old/weave-0.16.0/weave/inline_tools.py 2015-08-16 08:19:19.000000000
+0200
+++ new/weave-0.17.0/weave/inline_tools.py 2019-02-27 07:27:23.000000000
+0100
@@ -7,8 +7,12 @@
from . import ext_tools
from . import catalog
from . import common_info
-
-from numpy.core.multiarray import _get_ndarray_c_version
+try:
+ # numpy 1.16:
+ from numpy.core._multiarray_umath import _get_ndarray_c_version
+except ImportError:
+ # numpy < 1.16:
+ from numpy.core.multiarray import _get_ndarray_c_version
ndarray_api_version = '/* NDARRAY API VERSION %x */' %
(_get_ndarray_c_version(),)


diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/weave-0.16.0/weave/version.py
new/weave-0.17.0/weave/version.py
--- old/weave-0.16.0/weave/version.py 2017-04-19 13:44:19.000000000 +0200
+++ new/weave-0.17.0/weave/version.py 2019-02-27 07:40:20.000000000 +0100
@@ -1,9 +1,9 @@

# THIS FILE IS GENERATED FROM WEAVE SETUP.PY
-short_version = '0.16.0'
-version = '0.16.0'
-full_version = '0.16.0'
-git_revision = '922f5919aebb5818f70688fa3bc68508377aa72f'
+short_version = '0.17.0'
+version = '0.17.0'
+full_version = '0.17.0'
+git_revision = '55d48df39b9685164a71fd29050ad45d307b0a97'
release = True

if not release:


< Previous Next >
This Thread
  • No further messages